/*
			 Zip Tool Window Callbacks
 */

#ifndef ZIPTOOLCB_H
#define ZIPTOOLCB_H

#include <gtk/gtk.h>
#include "ziptool.h"


extern void ZipToolOPIDDeleteCB(gpointer data, gpointer user_data);

extern gint ZipToolExposeEventCB(
	GtkWidget *widget, GdkEventExpose *expose, gpointer data
);
extern gint ZipToolButtonPressEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);

extern gint ZipToolCloseCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void ZipToolDestroyCB(GtkObject *object, gpointer data);

extern gint ZipToolMenuItemEnterCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);
extern gint ZipToolMenuItemLeaveCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);

extern void ZipToolOPIDEnterCB(
	toolbar_item_struct *item, gint id, gpointer data
);
extern void ZipToolOPIDLeaveCB(
	toolbar_item_struct *item, gint id, gpointer data
);
extern void ZipToolOPIDCB(
	toolbar_item_struct *item, gint id, gpointer data
);

extern void ZipToolMountCB(GtkWidget *widget, gpointer data);
extern void ZipToolUnmountCB(GtkWidget *widget, gpointer data);
extern void ZipToolSpinDownCB(GtkWidget *widget, gpointer data);
extern void ZipToolEjectCB(GtkWidget *widget, gpointer data);
extern void ZipToolPasswordCB(GtkWidget *widget, gpointer data);
extern void ZipToolBrowseCB(GtkWidget *widget, gpointer data);
extern void ZipToolRefreshCB(GtkWidget *widget, gpointer data);
extern void ZipToolFSCKCB(GtkWidget *widget, gpointer data);
extern void ZipToolCloseBtnCB(GtkWidget *widget, gpointer data);
extern void ZipToolExitCB(GtkWidget *widget, gpointer data);


#endif	/* ZIPTOOLCB_H */
